import request from '@/utils/request'
import { upFilse, upFilse1} from '@/utils/request';
//获取课程
export function getCourse(data) {
	return request({
		url: '/api/student/record',
		method: 'get',
		data
	});
}
//获取请假列表
export function getLeave(data) {
	return request({
		url: '/api/student/leavelist',
		method: 'get',
		data
	});
}
//请假
export function setLeave(data) {
	return request({
		url: '/api/student/leave',
		method: 'post',
		data
	});
}
//获取评价列表
export function getEvaluate(data) {
	return request({
		url: '/api/student/evaluatelist',
		method: 'get',
		data
	});
}
//评价
export function setEvaluate(data) {
	return request({
		url: '/api/student/evaluate',
		method: 'post',
		data
	});
}
//上传照片
export function uploads(data){
	return upFilse({
		url:'/api/upload/image',
		method:'post',
		data
	})
}